[![NSF-1928393](https://img.shields.io/badge/NSF-1928393-red.svg)](https://nsf.gov/awardsearch/showAward?AWD_ID=1928393)
[![DOI](https://zenodo.org/badge/241453043.svg)](https://zenodo.org/badge/latestdoi/241453043)

# QGreenland

www.qgreenland.org


## A Free GIS Package for Greenland

QGreenland is a free mapping tool to support interdisciplinary
Greenland-focused research, teaching, decision making, and collaboration.

Combines key datasets into a unified, all-in-one GIS analysis and visualization
environment for offline and online use.

An international Editorial Board and Project Collaborators connects the
QGreenland Team to data and user communities.


## Disclaimer

QGreenland should not be used as a sole navigational aid while performing remote
research activities in Greenland. Always bring appropriate saftey and
navigational aids (including hard-copies of topographic maps) when visiting the
field.

QGreenland's layers may contain errors from the original data providers.
QGreenland makes no guarantees about the accuracy and validity of data
contained in QGreenland. For example, some layers may not perfectly align with
each other due to unidentified georeferencing issues. We recommend using the
'Greenland Coastlines' layer as the reference layer for geolocating Greenland's
coastline.


# Getting Started

As of this writing, the oldest version of QGIS we support is 3.10.x. You can
find downloads and instructions
[here](https://qgis.org/en/site/forusers/download.html).

After installing QGIS, [download QGreenland](http://www.qgreenland.org/explore)
and unzip it with your unzip tool of choice if you haven not already done so.
Finally, open the `qgreenland.qgs` file contained inside with QGIS.


## What's Inside?

At the root of the package, you will find scientific discipline-specific
directories containing data. Additionally, the following files are present at
the package root:

* `UserGuide.pdf`: Detailed user-guide.
* `QuickStartGuide.pdf`: Guide for QGIS beginners.
* `MakingDataQGRCompatible.pdf`: Data compatibility guide for data providers,
  contributors, and users.
* `README.txt`: The README file you are currently reading.
* `CHANGELOG.txt`: A summary of changes for each new QGreenland version.
* `CONTRIBUTING.txt`: Instructions to users looking for help contributing to
  this project.
* `layer_list.csv`: Comma-separated values representing the configuration of
  layers in QGreenland. This includes limited layer metadata, including, but
  not limited to: title, description, abstract, and citation.


# Educational Resources

We keep the QGreenland official website up-to-date with links to helpful
educational resources, including our own QGreenland User Guide.

* [QGreenland official website](https://qgreenland.org)
* [QGreenland YouTube channel](https://www.youtube.com/channel/UCjWae_Jrbognx2ju_SHBZ2A/videos)


# Contributing

Please see [contributing instructions](doc/CONTRIBUTING.md) for more info. A good
portion of this document contains technical instructions about running the
QGreenland pipeline, but also includes less-technical instructions for
contributing styles you have developed within QGIS. Our goal is to make it as
easy as possible for any user of QGreenland to contribute to the project, so
please do not be deterred from sharing your ideas.

**If all else fails, please [email us](mailto:qgreenland.info@gmail.com)!**

# Acknowledgements

Please see our [acknowledgements document](doc/ACKNOWLEDGEMENTS.md) for our
best effort to acknowledge all of the giants upon whose shoulders we stand.
